Zum Hauptinhalt springen

Verifiy the ownership of an Ingress

POST/v2/ingresses/{ingressId}/actions/verify-ownership
API-Version
v2
Request-Methode
POST
Operation-ID
ingress-ingress-verify-ownership

Request​

  • ingressIdstring (uuid)required

    UUID of the Ingress to verify the ownership for.

Responses​

Format
application/json
Beschreibung

OK

    Content-Type: application/json

    {}
    {
    "type": "object"
    }

    Nutzungsbeispiele​

    $ curl \
    --fail \
    --location \
    -X POST \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    https://api.mittwald.de/v2/ingresses/f0f86186-0a5a-45b2-aa33-502777496347/actions/verify-ownership
    import { MittwaldAPIV2Client } from "@mittwald/api-client";
    import { assertStatus } from "@mittwald/api-client-commons";

    const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
    const response = await client.domain.ingressIngressVerifyOwnership({
    "ingressId": "f0f86186-0a5a-45b2-aa33-502777496347"
    });

    assertStatus(response, 200);

    use \Mittwald\ApiClient\Generated\V2\Clients\Domain\IngressIngressVerifyOwnership\IngressIngressVerifyOwnershipRequest;

    $client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

    $request = (new IngressIngressVerifyOwnershipRequest(
    ingressId: "f0f86186-0a5a-45b2-aa33-502777496347"
    ));
    $response = $client->domain()->ingressIngressVerifyOwnership($request);

    var_dump($response->getBody();

    Auf dieser Seite